Bug 860939 - [fork] Cartridge properties are shown empty {} while using rhc cartridge status
[fork] Cartridge properties are shown empty {} while using rhc cartridge status
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 03:04 EDT by joycezhang
Modified: 2015-05-14 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 11:06:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-09-27 03:04:14 EDT
Description of problem:
Empty cartridge properties are shown while using rhc cartridge status as below:

# rhc cartridge status postgresql-8.4 -a php1
Password: *

--DEBUG--

--RESULT--
PostgreSQL server instance is running

--MESSAGE--

--ERROR--

--APP INFO--

--CART COMMANDS--

--CART PROPERTIES--
{}
--DATA--

--EXIT CODE--
0


Version-Release number of selected component (if applicable):
fork_ami_US2597_US2599_US2813_US2817_US2872_172 (ami-735fed1a)

How reproducible:
always

Steps to Reproduce:
1.Create an app
2.Add cartridge to this app:
rhc cartridge add postgresql-8.1 -a php1 -p xx
3.Check cartridge staus:
# rhc cartridge status postgresql-8.4 -a php1
  
Actual results:
Cartridge properties are empty as below:
# rhc cartridge status postgresql-8.4 -a php1
Password: *

--DEBUG--

--RESULT--
PostgreSQL server instance is running

--MESSAGE--

--ERROR--

--APP INFO--

--CART COMMANDS--

--CART PROPERTIES--
{}
--DATA--

--EXIT CODE--
0


Expected results:
Useful cartridge properties are shown in "{ }" or CART PROPERTIES is hidden instead of an empty "{ }".


Additional info:
Comment 1 John (J5) Palmieri 2012-10-04 11:06:19 EDT
This is being fixed in another bug on the rest api.  Only the result string should be seen in the future.

Note You need to log in before you can comment on or make changes to this bug.